Comment 18 for bug 546091

There is drivers for 9.10 on the LSI homepage. One can use there instructions for installation and upgrade to Lucid from there (with custom kernel)